{% load static %}
<html>

<head>
  <title>Translation app</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
    crossorigin="anonymous"></script>
  <link rel="stylesheet" href="{% static 'app/css/app.css' %}">
</head>

<body>
  <nav class="navbar navbar-expand-lg">
    <div class="container-fluid  p-2 ms-4 me-4">
      <a class="navbar-brand" href="/"><img class="logo" src="../../static/app/images/logo.png"></a>
      <!--stavit mu logo-->
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarText"
        aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarText">

        <ul class="navbar-nav me-auto mb-2 mb-lg-0">

          <li class="nav-item active">
            <a class="nav-link" href="/">Home</a>
          </li>

          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" aria-current="page" href="{% url 'app:new_job'  %}">Submit new job</a>
          </li>
          {% if user.account.translator %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'app:jobs' %}">See available jobs</a>
          </li>
          {% endif %}
          {% endif %}
        </ul>

        <ul class="navbar-nav ms-auto mb-2 mb-lg-0">

          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'accounts:profile' user.id %}">My profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'accounts:dashboard' %}">{{ user.account.name }}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'admin:index' %}">Admin dashboard</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}">Logout</a>
          </li>
          {% else %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'accounts:register' %}">Register</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">Login</a>
          </li>
          {% endif %}

        </ul>
      </div>
    </div>
  </nav>


  <!--NJEGOV KOD-->
  <div class="content container">
    <div class="row">
      {% if error %}
      <div class="col-md-12">
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
      </div>
      {% endif %}
      {% if message %}
      <div class="alert alert-success" role="alert">
        {{ message }}
      </div>
      {% endif %}
      <div class="col-md-12">
        {% block content %}
        {% endblock %}
      </div>
    </div>
  </div>
</body>

</html>